## python-catcher 0.1.7+git20140530

=== Makefile ===
PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/python-catcher
RPMTOPDIR=$(CURDIR)/build
PROJECT=python-catcher
DEBPROJECT=python-catcher
VERSION=`python -c "from catcher import __version__; print __version__"`
PREFIX=/usr

all:

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE) --prefix $(PREFIX)

rpm: tgz
	rm -rf dist/*.rpm

	cat dist/$(PROJECT).spec.in | sed s/__VERSION__/$(VERSION)/g > $(PROJECT).spec

	mkdir -p build/SOURCES || true
	cp dist/$(PROJECT)*.tar.gz build/SOURCES

	rpmbuild --define '_topdir $(RPMTOPDIR)' -bb $(PROJECT).spec 

	mv build/RPMS/noarch/$(PROJECT)*.rpm dist

	rm $(PROJECT).spec

deb: tgz
	rm -rf dist/*.deb

	cat debian/changelog.in | sed s/__VERSION__/$(VERSION)/g | sed "s/__DATE__/$(DATE)/g" > debian/changelog

	cp dist/$(PROJECT)*.tar.gz ..
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(DEBPROJECT)_$$1\.orig\.tar\.gz/' ../*
	dpkg-buildpackage -b -rfakeroot -us -uc

	mv ../$(DEBPROJECT)*.deb dist/
	
	rm ../$(DEBPROJECT)*.orig.tar.gz
	rm ../$(DEBPROJECT)*.changes
	rm debian/changelog

upload-deb: deb
	scp dist/*.deb root@ajenti.org:/srv/repo/ng/debian
	ssh root@ajenti.org /srv/repo/rebuild-debian.sh

upload-rpm: rpm
	scp dist/*.rpm root@ajenti.org:/srv/repo/ng/centos/6
	ssh root@ajenti.org /srv/repo/rebuild-centos.sh

upload-tgz: tgz
	$(PYTHON) setup.py sdist upload

tgz:
	rm dist/*.tar.gz || true
	$(PYTHON) setup.py sdist 


clean:
	$(PYTHON) setup.py clean
	rm -rf build/ debian/$(PROJECT)* debian/*stamp* debian/files MANIFEST *.egg-info
	find . -name '*.pyc' -delete

## python-catcher 0.1.3~git7623a6c5

=== debian/changelog ===
python-catcher (0.1.3~git7623a6c5-2) unstable; urgency=low

  * Add missing Mako dependency.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 07 Oct 2013 11:06:59 +0200

python-catcher (0.1.3~git7623a6c5-1) unstable; urgency=low

  * Initial release.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 21 Sep 2013 12:12:26 +0200

=== debian/control ===
Source: python-catcher
Section: python
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
    python-setuptools (>= 0.6.24),
    python-all (>= 2.6.6-3),
    python-requests,
    python-mako,
    debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://github.com/Eugeny/catcher

Package: python-catcher
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: beautiful stack traces generator for Python
 python-catcher module generates rich HTML tracebacks
 (including source code and local variable values), submits
 it to the web and generates a permalink.

## python-catcher 0.1.7+git20140530

=== debian/changelog ===
python-catcher (0.1.7+git20140530-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use pybuild.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 29 Jun 2014 23:31:07 +0200

python-catcher (0.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 24 Apr 2014 08:43:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Andrew Shadura <andrewsh@debian.org>
 Build-Depends:
+    dh-python,
     python-setuptools (>= 0.6.24),
     python-all (>= 2.6.6-3),
     python-requests,

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_test:

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3

opts=filenamemangle=s/.*\/(.*)$/python-catcher-$1/ https://github.com/Eugeny/catcher/tags /Eugeny/catcher/archive/(\d.*).tar.gz
